// =====================================================================
//  $Id: St01OfflineDarkAverageMap.hh,v 1.4 2004/01/19 21:10:28 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: St01OfflineDarkAverageMap.hh,v $
//  Revision 1.4  2004/01/19 21:10:28  goiwai
//  プリプロセッサの接頭辞をCLDAQ__に変更しました.
//
//  Revision 1.3  2003/10/06 16:28:18  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:16:11  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef CLDAQ__ST01OFFLINEDARKAVERAGEMAP_HH
#define CLDAQ__ST01OFFLINEDARKAVERAGEMAP_HH

#include "Tglobals.h"
#include "St01Map.hh"

class St01OfflineDarkAverageMap
  : public St01Map
{

  private:
    TDataMultiplicity theCounterMap;
    Tint theNumberOfFrames;

  public:
    St01OfflineDarkAverageMap( const Tstring& filename );
    ~St01OfflineDarkAverageMap();

  public:
    Tvoid FillMap( Tshort* data, Tint ndata );
    const TDataMultiplicity& GetCounterMap() const;
    TDataMultiplicity& GetCounterMap();
    Tint GetNumberOfFrames() const;

};

inline const TDataMultiplicity& St01OfflineDarkAverageMap::GetCounterMap() const
{
  return theCounterMap;
}

inline TDataMultiplicity& St01OfflineDarkAverageMap::GetCounterMap()
{
  return theCounterMap;
}

inline Tint St01OfflineDarkAverageMap::GetNumberOfFrames() const
{
  return theNumberOfFrames;
}

#endif
